# class Rng

*Defined at src/core/rng.h#14*

## Functions

### Rng

*public void Rng(seed_type seed)*

*Defined at src/core/rng.h#19*

### seed

*public void seed(seed_type s)*

*Defined at src/core/rng.h#22*

### uniform01

*public double uniform01()*

*Defined at src/core/rng.h#27*

### uniform_range

*public Int uniform_range(Int lo_inclusive, Int hi_exclusive)*

*Defined at src/core/rng.h#34*

### uniform_range

*public Int uniform_range(Int hi_exclusive)*

*Defined at src/core/rng.h#41*

### uniform_range

*public double uniform_range(double lo_inclusive, double hi_exclusive)*

*Defined at src/core/rng.h#45*

### poisson

*public std::uint64_t poisson(double lambda)*

*Defined at src/core/rng.h#50*

### choose_weighted

*public T choose_weighted(const std::vector<std::pair<double, T>> & items)*

*Defined at src/core/rng.h#56*

### choose_weighted

*public T choose_weighted(std::initializer_list<std::pair<double, T>> items)*

*Defined at src/core/rng.h#61*



